
//compile: csc test_cs.cs repcoder.cs
//compile 32-bit: csc /platform:x86 test_cs.cs repcoder.cs

using System;

class App
{
 public static void Main()
   {
    //---- Call init() at the same beginning
    
    if( !Repcoder.init() ) 
      {
       Console.WriteLine("Repcoder.init() error ...");
       return;
      }

    //---- Call a report without passing parameters
    
    Repcoder.call_report((IntPtr)0 /*hParent*/, true /*bModal*/, "..\\Samples\\Report_24 - long memo.sfm", false /*bDesignMode*/);

    //---- Call a report with passing parameters 
    
    bool bModal = true;
    bool bDesignMode = false;
    int[] pParamsNumbers = { 1, 3 };
    string[] pParamsValues = { "4", "Norman" };
    bool bParamsUpdate = true;
    Repcoder.call_report_param((IntPtr)0, bModal, "..\\Samples\\Report_14 - parameters.sfm", bDesignMode, pParamsNumbers, pParamsValues, bParamsUpdate);

    //---- Get the description of a report
    
    string Desc = Repcoder.get_report_desc("..\\Samples\\Report_25 - statistics.sfm");
    Console.WriteLine("Report description:\n" + Desc + "\n\n");
	  
    //---- Create a result (SFR file) without opening any user-interface windows

    string ErrorString = Repcoder.create_result("..\\Samples\\Report_17 - blobs.sfm", "fishes.sfr",
    "This is a result\r\ncreated by repc_create_result");

    if( ErrorString == String.Empty ) Console.WriteLine("Result file: fishes.sfr was created in the current directory ...\n");
    else Console.WriteLine("Error in create_result:\n" + ErrorString + "\n");
      
    //---- Explorer (a very simple report manager window)

    Repcoder.explorer((IntPtr)0, true, "..\\Samples", true, false);
      
    //---- Call exit() at the end
    Repcoder.exit();
   }
}
