
//compile: dcc32 -CC test_delphi.pas repcoder.pas

program test_delphi;

uses repcoder;

var 
nParams: Integer;

pParamsNumbers: Array[0..1] of Integer;
pParamsValues: Array[0..1] of WideString;
buf: Array[0..2048] of WideChar;

bParamsUpdate: Boolean;

bOk: Boolean;
ErrorBuf: Array[0..1024] of WideChar;

begin

// Call repc_init at the same beginning

if repc_init = False then 
begin 
  WriteLn('repc_init() error ...'); 
  Halt(1); 
end;

// Call a report without passing parameters

repc_call_report(0, True, '../Samples/Report_24 - long memo.sfm', False);

// Call a report with passing parameters

nParams := 2;
pParamsNumbers[0] := 1;
pParamsNumbers[1] := 3;
pParamsValues[0] := '4';
pParamsValues[1] := 'Norman';
bParamsUpdate := True;
repc_call_report_param(0, True, '../Samples/Report_14 - parameters.sfm', False, nParams, @pParamsNumbers, @pParamsValues, bParamsUpdate);

// Get the description of a report

repc_get_report_desc('../Samples/Report_25 - statistics.sfm', buf, 2048);
WriteLn('Report description:' + #13#10 + buf + #13#10);

// Create a result (SFR file) without opening any user-interface windows

bOk := repc_create_result('../Samples/Report_17 - blobs.sfm', 'fishes.sfr',
'This is a result' + #13#10 + 'created by repc_create_result', ErrorBuf, 1024);

if bOk = True then WriteLn('Result file: fishes.sfr was created in the current directory ...' + #13#10)
else WriteLn('Error in repc_create_result:\n' + ErrorBuf + '#13#10');

// Simple report explorer
repc_explorer(0, True, '../Samples', True, False);

// Call repc_exit at the end
repc_exit;

end.
