
//compile: javac -cp jna.jar Repcoder.java Test.java
//run: java -cp jna.jar; Test
    
public class Test 
{ 
public static void main(String[] args) 
  {   
   //---- Call init() at the same beginning
   
   if( !Repcoder.init() )
     {
      System.out.println("Repcoder.init() error ...");
      return;
     }
     
   System.out.println("Repcoder.init() OK ...");
   
   //---- Call a report without passing parameters
   
   Repcoder.call_report(0 /*hParent*/, true /*bModal*/, "../Samples/Report_24 - long memo.sfm", false /*bDesignMode*/);
   
   //---- Call a report with passing parameters 
   
   boolean bModal = true;
   int[] pParamsNumbers = { 1, 3 };
   String[] pParamsValues = { "4", "Norman" };
   boolean bParamsUpdate = true;
   Repcoder.call_report_param(0, bModal, "../Samples/Report_14 - parameters.sfm", false, pParamsNumbers, pParamsValues, bParamsUpdate);
   
   //---- Get the description of a report

   String s = Repcoder.get_report_desc("../Samples/Report_25 - statistics.sfm");
   System.out.println("Report description:\n" + s + "\n");
   
   //---- Create a result (SFR file) without opening any user-interface windows

   String ErrorString = Repcoder.create_result("../Samples/Report_17 - blobs.sfm", "fishes.sfr",
   "This is a result\r\ncreated by repc_create_result");

   if( ErrorString.isEmpty() ) System.out.println("Result file: fishes.sfr was created in the current directory ...\n");
   else System.out.println("Error in create_result:\n" + ErrorString + "\n");
      
   //---- explorer

   Repcoder.explorer(0, true, "../Samples", true, false);
      
   //---- Call exit() at the end
   Repcoder.exit();        
  }
}
