﻿
CREATE TABLE SAMPLE_UTF8
(
  "Id" Integer NOT NULL,
  "Sample_text" varchar(100) CHARACTER SET UTF8,
  PRIMARY KEY ("Id")
);

commit;

CREATE TABLE EMPLOYEE
(
  "Id" Integer NOT NULL,
  "Surname" varchar(30),
  "Name" varchar(30),
  "Birth_date" Date,
  "Birth_place" varchar(60),
  "Profession" varchar(60),
  "Permanent" Smallint,
  "Month_salary" Numeric(18,2),
  PRIMARY KEY ("Id")
);

commit;

CREATE TABLE EMPL_MOD
(
  "Id" Integer NOT NULL,
  "Surname" varchar(30),
  "Name" varchar(30),
  "Birth_date" Date,
  "Birth_place" varchar(60),
  "Profession" varchar(60),
  "Permanent" Smallint,
  "Month_salary" Numeric(18,2),
  PRIMARY KEY ("Id")
);

commit;

CREATE TABLE CHILDREN
(
  "Id" Integer NOT NULL,
  "Name" varchar(30),
  "Birth_date" Date,
  "Parent" Integer REFERENCES EMPLOYEE ("Id") ON UPDATE CASCADE ON DELETE SET NULL,
  PRIMARY KEY ("Id")
);

commit;

CREATE TABLE PAYMENT
(
  "Id" Integer NOT NULL,
  "Emp_id" Integer REFERENCES EMPLOYEE ("Id") ON UPDATE CASCADE ON DELETE SET NULL,
  "Month" Smallint,
  "Salary" Numeric(18,2),
  "Bonus" Numeric(18,2),
  "Payment" Numeric(18,2),
  PRIMARY KEY ("Id")
);

commit;

CREATE TABLE PICTURES
(
  "Id" Integer NOT NULL,
  "Filename" varchar(100),
  PRIMARY KEY ("Id")
);

commit;

CREATE TABLE BLOBS
(
  "Id" Integer NOT NULL,
  "Name" varchar(32),  
  "Species No" integer,
  "Species Name" varchar(40),
  "Category" varchar(16),
  "Length (cm)" smallint,
  "Length_In" numeric(5,2),
  "Graphic" blob sub_type 0,
  "Notes" blob sub_type text, 
  PRIMARY KEY ("Id")
);

commit;

CREATE TABLE CITIES
(
id int not null primary key,
name varchar(100) not null
);

commit;

CREATE TABLE PEOPLE
(
id int not null primary key,

last_name varchar(32) not null,
first_name varchar(32) not null,
birth_date date,
sex char(1) not null,

id_city int references cities(id) on update cascade on delete no action,

check ( sex in ('F', 'M') )
);

commit;

create generator cities_gen;
create generator people_gen;

commit;

set term ^;
/*-----------------------*/

create trigger cities_insert for cities
before insert
as
begin
if( new.id is null ) then new.id = gen_id(cities_gen, 1);
end ^
/*-----------------------*/

create trigger people_insert for people
before insert
as
begin
if( new.id is null ) then new.id = gen_id(people_gen, 1);
end ^
/*-----------------------*/

set term ;^

commit;

GRANT ALL ON SAMPLE_UTF8 TO PUBLIC;
GRANT ALL ON EMPLOYEE TO PUBLIC;
GRANT ALL ON EMPL_MOD TO PUBLIC;
GRANT ALL ON CHILDREN TO PUBLIC;
GRANT ALL ON PAYMENT TO PUBLIC;
GRANT ALL ON PICTURES TO PUBLIC;
GRANT ALL ON BLOBS TO PUBLIC;
GRANT ALL ON CITIES TO PUBLIC;
GRANT ALL ON PEOPLE TO PUBLIC;

commit;

INSERT INTO SAMPLE_UTF8 ("Id", "Sample_text") values(1, 'Polish letters: Ęę Óó Ąą Śś Łł Żż Źź Ćć Ńń');
INSERT INTO SAMPLE_UTF8 ("Id", "Sample_text") values(2, 'Russian letters: Ц Э Ю Я д ж Ы');
INSERT INTO SAMPLE_UTF8 ("Id", "Sample_text") values(3, 'Other letters: φ @ ♀ ↑ ↔ ∞ غ ');

commit;

INSERT INTO EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (1, 'Thomson', 'Mark', '12.05.1950', 'Warsaw', 'Driver', '1', '2100.50');
INSERT INTO EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (2, 'Weinberg', 'Carl', '01.03.1974', 'London', 'Welder', '1', '1800.25');
INSERT INTO EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (3, 'Kiersen', 'Willy', '23.09.1967', 'Paris', 'Computer scientist', '1', '3400.99');
INSERT INTO EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (4, 'Berger', 'Susan', '11.04.1975', 'Washington', 'Translator', '0', '3000.05');
INSERT INTO EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (5, 'Russel', 'Kate', '02.12.1969', 'Madrid', 'Secretary', '1', '1900.40');
INSERT INTO EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (6, 'Zenn', 'Jonathan', '08.07.1963', 'Warsaw', 'Receptionist', '1', '1500.00');
INSERT INTO EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (7, 'Connor', 'Joan', '14.10.1977', 'New York', 'Economist', '0', '2600.16');
INSERT INTO EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (8, 'Norman', 'Alice', '01.03.1971', 'New York', 'Economist', '0', '3500.14');
INSERT INTO EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (9, 'Mosseley', 'Roger', '22.11.1949', 'Miami', 'Engineer', '1', '6400.00');
INSERT INTO EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (10, 'Pearl', 'Adam', '03.02.1965', 'Rome', 'Driver', '1', '2100.50');

commit;

INSERT INTO EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (1, 'Thomson', 'Mark', '12.05.1950', 'Warsaw', 'Driver', '1', '2100.50');
INSERT INTO EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (2, 'Weinberg', 'Carl', '01.03.1974', 'London', 'Welder', '1', '1800.25');
INSERT INTO EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (3, 'Kiersen', 'Willy', '23.09.1967', 'Paris', 'Computer scientist', '1', '3400.99');
INSERT INTO EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (4, 'Berger', 'Susan', '11.04.1975', 'Washington', 'Translator', '0', '3000.05');
INSERT INTO EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (5, 'Russel', 'Kate', '02.12.1969', 'Madrid', 'Secretary', '1', '1900.40');
INSERT INTO EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (6, 'Zenn', 'Jonathan', '08.07.1963', 'Warsaw', 'Receptionist', '1', '1500.00');
INSERT INTO EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (7, 'Connor', 'Joan', '14.10.1977', 'New York', 'Economist', '0', '2600.16');
INSERT INTO EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (8, 'Norman', 'Alice', '01.03.1971', 'New York', 'Economist', '0', '3500.14');
INSERT INTO EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (9, 'Mosseley', 'Roger', '22.11.1949', 'Miami', 'Engineer', '1', '6400.00');
INSERT INTO EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") VALUES (10, 'Pearl', 'Adam', '03.02.1965', 'Rome', 'Driver', '1', '2100.50');

commit;

INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (1, 'Irene', '09.04.1994', '5');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (2, 'Ann', '01.02.1991', '9');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (3, 'Tom', '14.10.2000', '8');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (4, 'Wolfgang', '05.05.1995', '6');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (5, 'Robin', '18.12.1998', '5');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (6, 'George', '22.11.2000', '5');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (7, 'Valerie', '24.08.1993', '9');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (8, 'Angela', '08.08.1998', '4');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (9, 'Peter', '19.07.1997', '8');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (10, 'Alison', '12.11.1996', '3');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (11, 'Caroline', '01.12.2001', '8');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (12, 'Lucy', '09.06.1994', '1');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (13, 'Robert', '30.07.1999', '3');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (14, 'Kate', '08.11.2000', '4');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (15, 'Stephen', '23.05.1997', '6');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (16, 'Marie', '29.01.1990', '9');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (17, 'Paul', '18.08.1992', '10');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (18, 'Mark', '04.03.1994', '6');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (19, 'Christian', '14.08.2000', '7');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (20, 'Amelie', '19.05.1991', '10');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (21, 'John', '28.07.1987', '9');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (22, 'Leo', '20.12.1990', '6');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (23, 'Sarah', '12.02.1996', '10');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (24, 'Laura', '08.10.1992', '1');
INSERT INTO CHILDREN ("Id", "Name", "Birth_date", "Parent") VALUES (25, 'Betty', '18.12.1990', '1');

commit;

INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (1, '1', '1', '2100.50', '441.11', '2541.61');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (2, '1', '2', '2100.50', '462.11', '2562.61');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (3, '1', '3', '2100.50', '483.12', '2583.62');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (4, '1', '4', '2100.50', '504.12', '2604.62');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (5, '1', '5', '2100.50', '525.13', '2625.63');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (6, '1', '6', '2100.50', '546.13', '2646.63');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (7, '1', '7', '2100.50', '567.14', '2667.64');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (8, '1', '8', '2100.50', '588.14', '2688.64');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (9, '1', '9', '2100.50', '609.15', '2709.65');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (10, '1', '10', '2100.50', '630.15', '2730.65');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (11, '1', '11', '2100.50', '651.16', '2751.66');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (12, '1', '12', '2100.50', '672.16', '2772.66');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (13, '2', '1', '1800.25', '378.05', '2178.30');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (14, '2', '2', '1800.25', '396.06', '2196.31');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (15, '2', '3', '1800.25', '414.06', '2214.31');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (16, '2', '4', '1800.25', '432.06', '2232.31');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (17, '2', '5', '1800.25', '450.06', '2250.31');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (18, '2', '6', '1800.25', '468.07', '2268.32');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (19, '2', '7', '1800.25', '486.07', '2286.32');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (20, '2', '8', '1800.25', '504.07', '2304.32');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (21, '2', '9', '1800.25', '522.07', '2322.32');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (22, '2', '10', '1800.25', '540.08', '2340.33');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (23, '2', '11', '1800.25', '558.08', '2358.33');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (24, '2', '12', '1800.25', '576.08', '2376.33');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (25, '3', '1', '3400.99', '714.21', '4115.20');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (26, '3', '2', '3400.99', '748.22', '4149.21');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (27, '3', '3', '3400.99', '782.23', '4183.22');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (28, '3', '4', '3400.99', '816.24', '4217.23');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (29, '3', '5', '3400.99', '850.25', '4251.24');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (30, '3', '6', '3400.99', '884.26', '4285.25');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (31, '3', '7', '3400.99', '918.27', '4319.26');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (32, '3', '8', '3400.99', '952.28', '4353.27');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (33, '3', '9', '3400.99', '986.29', '4387.28');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (34, '3', '10', '3400.99', '1020.30', '4421.29');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (35, '3', '11', '3400.99', '1054.31', '4455.30');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (36, '3', '12', '3400.99', '1088.32', '4489.31');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (37, '4', '1', '3000.05', '630.01', '3630.06');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (38, '4', '2', '3000.05', '660.01', '3660.06');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (39, '4', '3', '3000.05', '690.01', '3690.06');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (40, '4', '4', '3000.05', '720.01', '3720.06');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (41, '4', '5', '3000.05', '750.01', '3750.06');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (42, '4', '6', '3000.05', '780.01', '3780.06');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (43, '4', '7', '3000.05', '810.01', '3810.06');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (44, '4', '8', '3000.05', '840.01', '3840.06');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (45, '4', '9', '3000.05', '870.01', '3870.06');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (46, '4', '10', '3000.05', '900.01', '3900.07');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (47, '4', '11', '3000.05', '930.02', '3930.07');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (48, '4', '12', '3000.05', '960.02', '3960.07');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (49, '5', '1', '1900.40', '399.09', '2299.48');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (50, '5', '2', '1900.40', '418.09', '2318.49');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (51, '5', '3', '1900.40', '437.09', '2337.49');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (52, '5', '4', '1900.40', '456.10', '2356.50');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (53, '5', '5', '1900.40', '475.10', '2375.50');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (54, '5', '6', '1900.40', '494.10', '2394.50');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (55, '5', '7', '1900.40', '513.11', '2413.51');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (56, '5', '8', '1900.40', '532.11', '2432.51');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (57, '5', '9', '1900.40', '551.12', '2451.52');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (58, '5', '10', '1900.40', '570.12', '2470.52');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (59, '5', '11', '1900.40', '589.12', '2489.52');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (60, '5', '12', '1900.40', '608.13', '2508.53');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (61, '6', '1', '1500.00', '315.00', '1815.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (62, '6', '2', '1500.00', '330.00', '1830.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (63, '6', '3', '1500.00', '345.00', '1845.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (64, '6', '4', '1500.00', '360.00', '1860.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (65, '6', '5', '1500.00', '375.00', '1875.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (66, '6', '6', '1500.00', '390.00', '1890.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (67, '6', '7', '1500.00', '405.00', '1905.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (68, '6', '8', '1500.00', '420.00', '1920.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (69, '6', '9', '1500.00', '435.00', '1935.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (70, '6', '10', '1500.00', '450.00', '1950.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (71, '6', '11', '1500.00', '465.00', '1965.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (72, '6', '12', '1500.00', '480.00', '1980.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (73, '7', '1', '2600.16', '546.03', '3146.20');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (74, '7', '2', '2600.16', '572.04', '3172.20');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (75, '7', '3', '2600.16', '598.04', '3198.20');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (76, '7', '4', '2600.16', '624.04', '3224.20');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (77, '7', '5', '2600.16', '650.04', '3250.20');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (78, '7', '6', '2600.16', '676.04', '3276.20');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (79, '7', '7', '2600.16', '702.04', '3302.20');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (80, '7', '8', '2600.16', '728.04', '3328.20');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (81, '7', '9', '2600.16', '754.05', '3354.21');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (82, '7', '10', '2600.16', '780.05', '3380.21');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (83, '7', '11', '2600.16', '806.05', '3406.21');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (84, '7', '12', '2600.16', '832.05', '3432.21');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (85, '8', '1', '3500.14', '735.03', '4235.17');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (86, '8', '2', '3500.14', '770.03', '4270.17');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (87, '8', '3', '3500.14', '805.03', '4305.17');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (88, '8', '4', '3500.14', '840.03', '4340.17');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (89, '8', '5', '3500.14', '875.04', '4375.18');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (90, '8', '6', '3500.14', '910.04', '4410.18');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (91, '8', '7', '3500.14', '945.04', '4445.18');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (92, '8', '8', '3500.14', '980.04', '4480.18');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (93, '8', '9', '3500.14', '1015.04', '4515.18');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (94, '8', '10', '3500.14', '1050.04', '4550.18');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (95, '8', '11', '3500.14', '1085.04', '4585.18');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (96, '8', '12', '3500.14', '1120.05', '4620.18');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (97, '9', '1', '6400.00', '1344.00', '7744.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (98, '9', '2', '6400.00', '1408.00', '7808.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (99, '9', '3', '6400.00', '1472.00', '7872.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (100, '9', '4', '6400.00', '1536.00', '7936.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (101, '9', '5', '6400.00', '1600.00', '8000.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (102, '9', '6', '6400.00', '1664.00', '8064.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (103, '9', '7', '6400.00', '1728.00', '8128.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (104, '9', '8', '6400.00', '1792.00', '8192.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (105, '9', '9', '6400.00', '1856.00', '8256.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (106, '9', '10', '6400.00', '1920.00', '8320.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (107, '9', '11', '6400.00', '1984.00', '8384.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (108, '9', '12', '6400.00', '2048.00', '8448.00');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (109, '10', '1', '2100.50', '441.11', '2541.61');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (110, '10', '2', '2100.50', '462.11', '2562.61');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (111, '10', '3', '2100.50', '483.12', '2583.62');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (112, '10', '4', '2100.50', '504.12', '2604.62');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (113, '10', '5', '2100.50', '525.13', '2625.63');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (114, '10', '6', '2100.50', '546.13', '2646.63');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (115, '10', '7', '2100.50', '567.14', '2667.64');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (116, '10', '8', '2100.50', '588.14', '2688.64');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (117, '10', '9', '2100.50', '609.15', '2709.65');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (118, '10', '10', '2100.50', '630.15', '2730.65');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (119, '10', '11', '2100.50', '651.16', '2751.66');
INSERT INTO PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") VALUES (120, '10', '12', '2100.50', '672.16', '2772.66');

commit;

INSERT INTO PICTURES ("Id", "Filename") VALUES (1, 'arrow1.jpg');
INSERT INTO PICTURES ("Id", "Filename") VALUES (2, 'arrow2.jpg');
INSERT INTO PICTURES ("Id", "Filename") VALUES (3, 'clipb.jpg');
INSERT INTO PICTURES ("Id", "Filename") VALUES (4, 'clouds.jpg');
INSERT INTO PICTURES ("Id", "Filename") VALUES (5, 'snake.bmp');

commit;

INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(1, 'Clown Triggerfish', 90020, 'Ballistoides conspicillum', 'Triggerfish', 50, 19.69);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(2, 'Red Emperor', 90030, 'Lutjanus sebae', 'Snapper', 60, 23.62);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(3, 'Giant Maori Wrasse', 90050, 'Cheilinus undulatus', 'Wrasse', 229, 90.16);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(4, 'Blue Angelfish', 90070, 'Pomacanthus nauarchus', 'Angelfish', 30, 11.81);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(5, 'Lunartail Rockcod', 90080, 'Variola louti', 'Cod', 80, 31.50);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(6, 'Firefish', 90090, 'Pterois volitans', 'Scorpionfish', 38, 14.96);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(7, 'Ornate Butterflyfish', 90100, 'Chaetodon Ornatissimus', 'Butterflyfish', 19, 7.48);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(8, 'Swell Shark', 90110, 'Cephaloscyllium ventriosum', 'Shark', 102, 40.16);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(9, 'Bat Ray', 90120, 'Myliobatis californica', 'Ray', 56, 22.05);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(10, 'California Moray', 90130, 'Gymnothorax mordax', 'Eel', 150, 59.06);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(11, 'Lingcod', 90140, 'Ophiodon elongatus', 'Cod', 150, 59.06);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(12, 'Cabezon', 90150, 'Scorpaenichthys marmoratus', 'Sculpin', 99, 38.98);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(13, 'Atlantic Spadefish', 90160, 'Chaetodiperus faber', 'Spadefish', 90, 35.43);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(14, 'Nurse Shark', 90170, 'Ginglymostoma cirratum', 'Shark', 400, 157.48);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(15, 'Spotted Eagle Ray', 90180, 'Aetobatus narinari', 'Ray', 200, 78.74);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(16, 'Yellowtail Snapper', 90190, 'Ocyurus chrysurus', 'Snapper', 75, 29.53);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(17, 'Redband Parrotfish', 90200, 'Sparisoma Aurofrenatum', 'Parrotfish', 28, 11.02);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(18, 'Great Barracuda', 90210, 'Sphyraena barracuda', 'Barracuda', 150, 59.06);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(19, 'French Grunt', 90220, 'Haemulon flavolineatum', 'Grunt', 30, 11.81);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(20, 'Dog Snapper', 90230, 'Lutjanus jocu', 'Snapper', 90, 35.43);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(21, 'Nassau Grouper', 90240, 'Epinephelus striatus', 'Grouper', 91, 35.83);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(22, 'Bluehead Wrasse', 90250, 'Thalassoma bifasciatum', 'Wrasse', 15, 5.91);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(23, 'Yellow Jack', 90260, 'Gnathanodon speciousus', 'Jack', 90, 35.43);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(24, 'Redtail Surfperch', 90270, 'Amphistichus rhodoterus', 'Surfperch', 40, 15.75);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(25, 'White Sea Bass', 90280, 'Atractoscion nobilis', 'Croaker', 150, 59.06);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(26, 'Rock Greenling', 90290, 'Hexagrammos lagocephalus', 'Greenling', 60, 23.62);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(27, 'Senorita', 90300, 'Oxyjulis californica', 'Wrasse', 25, 9.84);
INSERT INTO BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") VALUES(28, 'Surf Smelt', 90310, 'Hypomesus pretiosus', 'Smelt', 25, 9.84);

commit;
