﻿
create table SAMPLE_UTF8
(
  "Id" integer not null primary key,
  "Sample_text" varchar(100)
);

create table EMPLOYEE
(
  "Id" integer not null primary key,
  "Surname" varchar(30),
  "Name" varchar(30),
  "Birth_date" date,
  "Birth_place" varchar(60),
  "Profession" varchar(60),
  "Permanent" integer,
  "Month_salary" numeric(18,2)
);

create table EMPL_MOD
(
  "Id" integer not null primary key,
  "Surname" varchar(30),
  "Name" varchar(30),
  "Birth_date" date,
  "Birth_place" varchar(60),
  "Profession" varchar(60),
  "Permanent" integer,
  "Month_salary" numeric(18,2)
);

create table CHILDREN
(
  "Id" integer not null primary key,
  "Name" varchar(30),
  "Birth_date" date,
  "Parent" integer references EMPLOYEE("Id")
);

create table PAYMENT
(
  "Id" integer not null primary key,
  "Emp_id" integer references EMPLOYEE("Id"),
  "Month" integer,
  "Salary" numeric(18,2),
  "Bonus" numeric(18,2),
  "Payment" numeric(18,2)
);

create table PICTURES
(
  "Id" integer not null primary key,
  "Filename" varchar(100)
);

create table BLOBS
(
  "Id" integer not null primary key,
  "Name" varchar(32),  
  "Species No" integer,
  "Species Name" varchar(40),
  "Category" varchar(16),
  "Length (cm)" integer,
  "Length_In" numeric(5,2),
  "Graphic" blob,
  "Notes" blob
);

create table CITIES
(
id integer not null primary key autoincrement,
name varchar(100) not null
);

create table PEOPLE
(
id integer not null primary key autoincrement,

last_name varchar(32) not null,
first_name varchar(32) not null,
birth_date date,
sex char(1) not null,

id_city integer references cities(id),

check ( sex in ('F', 'M') )
);

insert into SAMPLE_UTF8 ("Id", "Sample_text") values(1, 'Polish letters: Ęę Óó Ąą Śś Łł Żż Źź Ćć Ńń');
insert into SAMPLE_UTF8 ("Id", "Sample_text") values(2, 'Russian letters: Ц Э Ю Я д ж Ы');
insert into SAMPLE_UTF8 ("Id", "Sample_text") values(3, 'Other letters: φ @ ♀ ↑ ↔ ∞ غ ');

insert into EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (1, 'Thomson', 'Mark', '1950-05-12', 'Warsaw', 'Driver', 1, 2100.50);
insert into EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (2, 'Weinberg', 'Carl', '1974-03-01', 'London', 'Welder', 1, 1800.25);
insert into EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (3, 'Kiersen', 'Willy', '1967-09-23', 'Paris', 'Computer scientist', 1, 3400.99);
insert into EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (4, 'Berger', 'Susan', '1975-04-11', 'Washington', 'Translator', 0, 3000.05);
insert into EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (5, 'Russel', 'Kate', '1969-12-02', 'Madrid', 'Secretary', 1, 1900.40);
insert into EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (6, 'Zenn', 'Jonathan', '1963-07-08', 'Warsaw', 'Receptionist', 1, 1500.00);
insert into EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (7, 'Connor', 'Joan', '1977-10-14', 'New York', 'Economist', 0, 2600.16);
insert into EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (8, 'Norman', 'Alice', '1971-03-01', 'New York', 'Economist', 0, 3500.14);
insert into EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (9, 'Mosseley', 'Roger', '1949-11-22', 'Miami', 'Engineer', 1, 6400.00);
insert into EMPLOYEE ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (10, 'Pearl', 'Adam', '1965-02-03', 'Rome', 'Driver', 1, 2100.50);

insert into EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (1, 'Thomson', 'Mark', '1950-05-12', 'Warsaw', 'Driver', 1, 2100.50);
insert into EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (2, 'Weinberg', 'Carl', '1974-03-01', 'London', 'Welder', 1, 1800.25);
insert into EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (3, 'Kiersen', 'Willy', '1967-09-23', 'Paris', 'Computer scientist', 1, 3400.99);
insert into EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (4, 'Berger', 'Susan', '1975-04-11', 'Washington', 'Translator', 0, 3000.05);
insert into EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (5, 'Russel', 'Kate', '1969-12-02', 'Madrid', 'Secretary', 1, 1900.40);
insert into EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (6, 'Zenn', 'Jonathan', '1963-07-08', 'Warsaw', 'Receptionist', 1, 1500.00);
insert into EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (7, 'Connor', 'Joan', '1977-10-14', 'New York', 'Economist', 0, 2600.16);
insert into EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (8, 'Norman', 'Alice', '1971-03-01', 'New York', 'Economist', 0, 3500.14);
insert into EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (9, 'Mosseley', 'Roger', '1949-11-22', 'Miami', 'Engineer', 1, 6400.00);
insert into EMPL_MOD ("Id", "Surname", "Name", "Birth_date", "Birth_place", "Profession", "Permanent", "Month_salary") values (10, 'Pearl', 'Adam', '1965-02-03', 'Rome', 'Driver', 1, 2100.50);

insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (1, 'Irene', '1994-04-09', 5);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (2, 'Ann', '1991-02-01', 9);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (3, 'Tom', '2000-10-14', 8);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (4, 'Wolfgang', '1995-05-05', 6);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (5, 'Robin', '1998-12-18', 5);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (6, 'George', '2000-11-22', 5);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (7, 'Valerie', '1993-08-24', 9);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (8, 'Angela', '1998-08-08', 4);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (9, 'Peter', '1997-07-19', 8);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (10, 'Alison', '1996-11-12', 3);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (11, 'Caroline', '2001-12-01', 8);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (12, 'Lucy', '1994-06-09', 1);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (13, 'Robert', '1999-07-30', 3);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (14, 'Kate', '2000-11-08', 4);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (15, 'Stephen', '1997-05-23', 6);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (16, 'Marie', '1990-01-29', 9);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (17, 'Paul', '1992-08-18', 10);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (18, 'Mark', '1994-03-04', 6);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (19, 'Christian', '2000-08-14', 7);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (20, 'Amelie', '1991-05-19', 10);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (21, 'John', '1987-07-28', 9);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (22, 'Leo', '1990-12-20', 6);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (23, 'Sarah', '1996-02-12', 10);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (24, 'Laura', '1992-10-08', 1);
insert into CHILDREN ("Id", "Name", "Birth_date", "Parent") values (25, 'Betty', '1990-12-18', 1);

insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (1, 1, 1, 2100.50, 573.44, 2673.94);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (2, 1, 2, 2100.50, 739.38, 2839.88);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (3, 1, 3, 2100.50, 724.68, 2825.18);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (4, 1, 4, 2100.50, 857.00, 2957.50);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (5, 1, 5, 2100.50, 787.70, 2888.20);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (6, 1, 6, 2100.50, 819.20, 2919.70);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (7, 1, 7, 2100.50, 680.57, 2781.07);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (8, 1, 8, 2100.50, 941.02, 3041.52);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (9, 1, 9, 2100.50, 1157.39, 3257.89);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (10, 1, 10, 2100.50, 945.23, 3045.73);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (11, 1, 11, 2100.50, 976.74, 3077.24);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (12, 1, 12, 2100.50, 1209.89, 3310.39);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (13, 2, 1, 1800.25, 718.30, 2518.55);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (14, 2, 2, 1800.25, 594.09, 2394.34);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (15, 2, 3, 1800.25, 703.90, 2504.15);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (16, 2, 4, 1800.25, 518.47, 2318.72);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (17, 2, 5, 1800.25, 765.10, 2565.35);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (18, 2, 6, 1800.25, 561.68, 2361.93);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (19, 2, 7, 1800.25, 631.89, 2432.14);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (20, 2, 8, 1800.25, 756.11, 2556.36);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (21, 2, 9, 1800.25, 887.52, 2687.77);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (22, 2, 10, 1800.25, 702.10, 2502.35);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (23, 2, 11, 1800.25, 948.74, 2748.99);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (24, 2, 12, 1800.25, 864.12, 2664.37);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (25, 3, 1, 3400.99, 928.47, 4329.46);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (26, 3, 2, 3400.99, 1271.97, 4672.96);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (27, 3, 3, 3400.99, 1486.24, 4887.23);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (28, 3, 4, 3400.99, 1550.86, 4951.85);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (29, 3, 5, 3400.99, 935.28, 4336.27);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (30, 3, 6, 3400.99, 1237.96, 4638.95);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (31, 3, 7, 3400.99, 1193.75, 4594.74);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (32, 3, 8, 3400.99, 1809.33, 5210.32);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (33, 3, 9, 3400.99, 1380.81, 4781.80);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (34, 3, 10, 3400.99, 1326.39, 4727.38);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (35, 3, 11, 3400.99, 1265.17, 4666.16);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (36, 3, 12, 3400.99, 1741.31, 5142.30);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (37, 4, 1, 3000.05, 693.01, 3693.06);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (38, 4, 2, 3000.05, 1188.02, 4188.07);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (39, 4, 3, 3000.05, 1104.02, 4104.07);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (40, 4, 4, 3000.05, 1152.02, 4152.07);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (41, 4, 5, 3000.05, 1125.02, 4125.07);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (42, 4, 6, 3000.05, 1482.02, 4482.07);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (43, 4, 7, 3000.05, 1377.02, 4377.07);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (44, 4, 8, 3000.05, 1260.02, 4260.07);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (45, 4, 9, 3000.05, 1305.02, 4305.07);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (46, 4, 10, 3000.05, 1530.02, 4530.07);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (47, 4, 11, 3000.05, 1488.03, 4488.08);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (48, 4, 12, 3000.05, 1056.02, 4056.07);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (49, 5, 1, 1900.40, 439.00, 2339.40);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (50, 5, 2, 1900.40, 543.52, 2443.92);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (51, 5, 3, 1900.40, 699.34, 2599.74);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (52, 5, 4, 1900.40, 684.15, 2584.55);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (53, 5, 5, 1900.40, 522.61, 2423.01);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (54, 5, 6, 1900.40, 543.51, 2443.91);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (55, 5, 7, 1900.40, 872.29, 2772.69);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (56, 5, 8, 1900.40, 851.38, 2751.78);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (57, 5, 9, 1900.40, 606.23, 2506.63);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (58, 5, 10, 1900.40, 627.13, 2527.53);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (59, 5, 11, 1900.40, 942.59, 2842.99);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (60, 5, 12, 1900.40, 973.01, 2873.41);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (61, 6, 1, 1500.00, 504.00, 2004.00);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (62, 6, 2, 1500.00, 594.00, 2094.00);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (63, 6, 3, 1500.00, 586.50, 2086.50);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (64, 6, 4, 1500.00, 648.00, 2148.00);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (65, 6, 5, 1500.00, 675.00, 2175.00);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (66, 6, 6, 1500.00, 585.00, 2085.00);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (67, 6, 7, 1500.00, 445.50, 1945.50);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (68, 6, 8, 1500.00, 672.00, 2172.00);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (69, 6, 9, 1500.00, 696.00, 2196.00);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (70, 6, 10, 1500.00, 495.00, 1995.00);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (71, 6, 11, 1500.00, 837.00, 2337.00);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (72, 6, 12, 1500.00, 768.00, 2268.00);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (73, 7, 1, 2600.16, 709.84, 3310.00);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (74, 7, 2, 2600.16, 629.24, 3229.40);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (75, 7, 3, 2600.16, 1016.67, 3616.83);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (76, 7, 4, 2600.16, 748.85, 3349.01);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (77, 7, 5, 2600.16, 1235.08, 3835.24);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (78, 7, 6, 2600.16, 1014.06, 3614.22);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (79, 7, 7, 2600.16, 912.65, 3512.81);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (80, 7, 8, 2600.16, 1310.47, 3910.63);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (81, 7, 9, 2600.16, 1357.29, 3957.45);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (82, 7, 10, 2600.16, 936.06, 3536.22);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (83, 7, 11, 2600.16, 886.66, 3486.82);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (84, 7, 12, 2600.16, 915.26, 3515.42);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (85, 8, 1, 3500.14, 1176.05, 4676.19);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (86, 8, 2, 3500.14, 847.03, 4347.17);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (87, 8, 3, 3500.14, 885.53, 4385.67);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (88, 8, 4, 3500.14, 1344.05, 4844.19);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (89, 8, 5, 3500.14, 1487.57, 4987.71);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (90, 8, 6, 3500.14, 1183.05, 4683.19);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (91, 8, 7, 3500.14, 1701.07, 5201.21);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (92, 8, 8, 3500.14, 1078.04, 4578.18);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (93, 8, 9, 3500.14, 1116.54, 4616.68);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (94, 8, 10, 3500.14, 1155.04, 4655.18);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (95, 8, 11, 3500.14, 1844.57, 5344.71);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (96, 8, 12, 3500.14, 1680.08, 5180.22);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (97, 9, 1, 6400.00, 1881.60, 8281.60);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (98, 9, 2, 6400.00, 1548.80, 7948.80);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (99, 9, 3, 6400.00, 2649.60, 9049.60);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (100, 9, 4, 6400.00, 1689.60, 8089.60);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (101, 9, 5, 6400.00, 1920.00, 8320.00);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (102, 9, 6, 6400.00, 3161.60, 9561.60);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (103, 9, 7, 6400.00, 3110.40, 9510.40);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (104, 9, 8, 6400.00, 2150.40, 8550.40);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (105, 9, 9, 6400.00, 3155.20, 9555.20);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (106, 9, 10, 6400.00, 2688.00, 9088.00);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (107, 9, 11, 6400.00, 2777.60, 9177.60);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (108, 9, 12, 6400.00, 2457.60, 8857.60);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (109, 10, 1, 2100.50, 838.11, 2938.61);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (110, 10, 2, 2100.50, 646.95, 2747.45);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (111, 10, 3, 2100.50, 772.99, 2873.49);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (112, 10, 4, 2100.50, 806.59, 2907.09);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (113, 10, 5, 2100.50, 945.23, 3045.73);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (114, 10, 6, 2100.50, 983.03, 3083.53);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (115, 10, 7, 2100.50, 964.14, 3064.64);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (116, 10, 8, 2100.50, 1117.47, 3217.97);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (117, 10, 9, 2100.50, 1096.47, 3196.97);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (118, 10, 10, 2100.50, 693.17, 2793.67);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (119, 10, 11, 2100.50, 781.39, 2881.89);
insert into PAYMENT ("Id", "Emp_id", "Month", "Salary", "Bonus", "Payment") values (120, 10, 12, 2100.50, 1142.67, 3243.17);

insert into PICTURES ("Id", "Filename") values (1, 'arrow1.jpg');
insert into PICTURES ("Id", "Filename") values (2, 'arrow2.jpg');
insert into PICTURES ("Id", "Filename") values (3, 'clipb.jpg');
insert into PICTURES ("Id", "Filename") values (4, 'clouds.jpg');
insert into PICTURES ("Id", "Filename") values (5, 'snake.bmp');

insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(1, 'Clown Triggerfish', 90020, 'Ballistoides conspicillum', 'Triggerfish', 50, 19.69);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(2, 'Red Emperor', 90030, 'Lutjanus sebae', 'Snapper', 60, 23.62);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(3, 'Giant Maori Wrasse', 90050, 'Cheilinus undulatus', 'Wrasse', 229, 90.16);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(4, 'Blue Angelfish', 90070, 'Pomacanthus nauarchus', 'Angelfish', 30, 11.81);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(5, 'Lunartail Rockcod', 90080, 'Variola louti', 'Cod', 80, 31.50);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(6, 'Firefish', 90090, 'Pterois volitans', 'Scorpionfish', 38, 14.96);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(7, 'Ornate Butterflyfish', 90100, 'Chaetodon Ornatissimus', 'Butterflyfish', 19, 7.48);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(8, 'Swell Shark', 90110, 'Cephaloscyllium ventriosum', 'Shark', 102, 40.16);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(9, 'Bat Ray', 90120, 'Myliobatis californica', 'Ray', 56, 22.05);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(10, 'California Moray', 90130, 'Gymnothorax mordax', 'Eel', 150, 59.06);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(11, 'Lingcod', 90140, 'Ophiodon elongatus', 'Cod', 150, 59.06);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(12, 'Cabezon', 90150, 'Scorpaenichthys marmoratus', 'Sculpin', 99, 38.98);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(13, 'Atlantic Spadefish', 90160, 'Chaetodiperus faber', 'Spadefish', 90, 35.43);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(14, 'Nurse Shark', 90170, 'Ginglymostoma cirratum', 'Shark', 400, 157.48);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(15, 'Spotted Eagle Ray', 90180, 'Aetobatus narinari', 'Ray', 200, 78.74);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(16, 'Yellowtail Snapper', 90190, 'Ocyurus chrysurus', 'Snapper', 75, 29.53);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(17, 'Redband Parrotfish', 90200, 'Sparisoma Aurofrenatum', 'Parrotfish', 28, 11.02);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(18, 'Great Barracuda', 90210, 'Sphyraena barracuda', 'Barracuda', 150, 59.06);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(19, 'French Grunt', 90220, 'Haemulon flavolineatum', 'Grunt', 30, 11.81);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(20, 'Dog Snapper', 90230, 'Lutjanus jocu', 'Snapper', 90, 35.43);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(21, 'Nassau Grouper', 90240, 'Epinephelus striatus', 'Grouper', 91, 35.83);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(22, 'Bluehead Wrasse', 90250, 'Thalassoma bifasciatum', 'Wrasse', 15, 5.91);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(23, 'Yellow Jack', 90260, 'Gnathanodon speciousus', 'Jack', 90, 35.43);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(24, 'Redtail Surfperch', 90270, 'Amphistichus rhodoterus', 'Surfperch', 40, 15.75);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(25, 'White Sea Bass', 90280, 'Atractoscion nobilis', 'Croaker', 150, 59.06);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(26, 'Rock Greenling', 90290, 'Hexagrammos lagocephalus', 'Greenling', 60, 23.62);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(27, 'Senorita', 90300, 'Oxyjulis californica', 'Wrasse', 25, 9.84);
insert into BLOBS ("Id", "Name", "Species No", "Species Name", "Category", "Length (cm)", "Length_In") values(28, 'Surf Smelt', 90310, 'Hypomesus pretiosus', 'Smelt', 25, 9.84);
